
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des voitures disponibles</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Gestion des voitures
              </li>
              <li class="breadcrumb-item active">Liste des voitures disponible
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    
        <div class="section section-data-tables">

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
      <h4 class="card-title"></h4>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Marque</th>
                <th>Modéle</th>
               
                <th>Catégorie</th>
                <th>Clim</th>
                <th>Boite</th>
                <th>Consommation</th>
                <th>Action</th>
                <th>Configuration</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let v of voitures; index as i;">
                <td>{{v.immatricule}}</td>
                <td>{{v.marque}}</td>
                <td>{{v.modele}}</td>
               
                <td>{{v.categoire}}</td>
                <td>{{v.clim}}</td>
                <td>{{v.boite}}</td>
                <td>{{v.consommation}}  </td>
                <td> 
                  
                 
                  
                  <a class='dropdown-trigger'  [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)" href="#modalvoir">Voir</a></li>
                  <li><a  class="modal-trigger" (click)="getOne(v.immatricule)" href="#modal2">Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(v.id)">Supprimper</a></li>
                  <li><a class="modal-trigger" (click)="NonDisponible(v,v.id)" >Non Disponible</a></li>

                  
                  </ul>
                  </td>
                  <td>
                    <a class='dropdown-trigger'  [attr.data-target]="'dropdow' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdow{{i}}' class='dropdown-content' >
                      
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)"  href="#modal3">Maintenance</a></li>
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)"  href="#modal4">Kilométrage</a></li>
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)" href="#modal5">Niveau de carburant</a></li>
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)" href="#modal6">Diagnostique</a></li>
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)" href="#modal7">Traqueur</a></li>
                    <li><a class="modal-trigger" (click)="getOne(v.immatricule)" href="#modal8">Viste technique</a></li>
                    </ul>
                
                    
                  </td>
              
                 
                

            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>
</div>

<div id="modalvoir" class="modal" >
                    
  <div class="row">
   <div class="col s11">
          <div class="card animate fadeUp">
        
            <div class="card-content">
              <div class="row" id="product-four">
                <div class="col m6 s12">
                  <ng-container *ngIf="voiture.image == ''">
                    <img src="assets/app-assets/uploads/icon-voiture.png" class="responsive-img" style="width:100%;height: 100%;"/>

                  </ng-container>
                  <ng-container *ngIf="!(voiture.image == '')">
                    <img src="assets/app-assets/uploads/{{voiture.image}}" class="responsive-img" style="width:100%;height: 100%;"/>

                  </ng-container>
                </div>
                <div class="col m6 s12">
                  <p>Immatricule: <span class="green-text">{{voiture.immatricule}}</span></p>

                  
                  <p>Marque: <span class="green-text">{{voiture.marque}}</span></p>
                  <p>Modéle: <span class="green-text">{{voiture.modele}}</span></p>
                  <p>Année: <span class="green-text">{{voiture.annee}}</span></p>
                  <p>Catégorie: <span class="green-text">{{voiture.categoire}}</span></p>
                  
                  <hr class="mb-5">
                  <span><i class="small material-icons ">ac_unit</i> {{voiture.clim}}</span>
                  <span><i class="small material-icons ">person</i>{{voiture.nbpersonne}} </span>
                  <span><i class="small material-icons ">local_gas_station</i>{{voiture.consommation}} </span>
                  <span><i class="small material-icons ">ac_unit</i>{{voiture. boite}} </span>
                  <hr class="mb-5">
                  <p>Assurance: <span class="green-text">{{voiture.assurance}}</span></p>
                  <p>Date de debut assurance: </p><p><span class="green-text">{{voiture.datededebutassurance}}</span></p>
                  <p>Date fin assurance: </p><p><span class="green-text">{{voiture.datefinassurance}}</span></p>
                  <p>Date achat: <span class="green-text">{{voiture.dateachat}}</span></p>
                  <p>Date mise en cerculation: </p><p><span class="green-text">{{voiture.datemiseencerculation}}</span></p>


                  




                  
                 
              
                </div>
              </div>
            </div>
          </div>
        </div>
    
   </div>


</div>              

<!-- START RIGHT SIDEBAR NAV -->

<div id="modal2" class="modal modal-fixed-footer" style="width: 40%; height: 100%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
    <div class="modal-content">
      <h4>Modifier</h4>

      <div class="col s12 m12 l12">
          

              <div class="row">
                 <div class="input-field col m6 s12">
                  <label for="immatricule1" class="active">Immatricule</label><br/>

                     <input type="text" name="immatricule" #name="ngModel" [(ngModel)]="voiture.immatricule" required>
                 </div>
                
                 <div class="input-field col m6 s12">
                  <label for="annee" class="active">Année</label><br/>
                <select class="browser-default" id="car-years"  name="annee" #name="ngModel" [(ngModel)]="voiture.annee" required>
                  
                </select>  
                </div>
               </div>
           
               <div class="row">
                
                <div class="input-field col m6 s12">
                  <label for="marque" class="active">Choisir marque</label>

                <select class="browser-default"  id="car-makes" name="marque" #name="ngModel" [(ngModel)]="voiture.marque" required></select> 
                </div>

                <div class="input-field col m6 s12">
                  <label for="modele" class="active">Choisir modéle</label>

                  <select class="browser-default"  id="car-models" name="modele" #name="ngModel" [(ngModel)]="voiture.modele" required></select>

                </div>
                
              </div>
           
              <div class="row">
               
                
                <div class="input-field col m6 s12">
                  <label for="categoire" class="active">Choisir Catégoire</label>

                 <select class="browser-default" name="categoire" #name="ngModel" [(ngModel)]="voiture.categoire" required>
                     <option value="" disabled selected>---</option>
                     <option value="A">A</option>
                     <option value="B">B</option>
                     <option value="C">C</option>
                   </select>
                    </div>

                    <div class="input-field col m6 s12">
                      <label for="Boite" class="active">Choisir Boite</label>
    
                        <select class="browser-default" name="boite" #name="ngModel" [(ngModel)]="voiture.boite" required>
                            <option value="" disabled selected>---</option>
                            <option value="Manuele">Manuele</option>
                            <option value="Auto">Auto</option>
                          </select>
                    </div>


              </div>
           
              <div class="row">
               
               
                <div class="input-field col m6 s12">
                  <label for="clim" class="active">Choisir Clim</label>

                 <select class="browser-default" name="clim" #name="ngModel" [(ngModel)]="voiture.clim" required>
                     <option value="" disabled selected>--</option>
                     <option value="Oui">Oui</option>
                     <option value="Non">Non</option>
                   </select>
                  </div>
                  <div class="input-field col m6 s12">
                    <input type="number" min="2" max="7" name="nbporte" #name="ngModel" [(ngModel)]="voiture.nbporte" required>
                    <label for="nbrporte">Nomber de porte</label>
                </div>

              </div>
              <div class="row">
                 
                 <div class="input-field col m6 s12">
                     <input type="number" min="1" max="9" name="nbpersonne" #name="ngModel" [(ngModel)]="voiture.nbpersonne" required>
                     <label for="nbrpersonne">Nomber Personne</label>
                 </div>
                 <div class="input-field col m6 s12">
                  <label for="Consommaction" class="active">Choisir Consommaction</label>

                   <select class="browser-default" name="consommation" #name="ngModel" [(ngModel)]="voiture.consommation" required>
                     <option value="" disabled selected>---</option>
                     <option value="Essence">Essence</option>
                     <option value="Diesel">Diesel</option>
                   </select>
                 </div>


               </div>
           
              
           
              <div class="row">
               
                <div class="input-field col m6 s12">
                  <label for="assurance" class="active">Choisir assurance</label>

                    <select class="browser-default" name="assurance" #name="ngModel" [(ngModel)]="voiture.assurance" required>
                        <option value="" disabled selected>---</option>
                        <option value="A041">A041</option>
                        <option value="A042">A042</option>
                      </select>
                </div>
                <div class="input-field col m6 s12">
                  <input type="date" class="datepicker" name="datededebutassurance" #name="ngModel" [(ngModel)]="voiture.datededebutassurance" required>
                  <label for="password">Date de début assurance</label>
              </div>
              </div>
           
            
           
              <div class="row">
                
                <div class="input-field col m6 s12">
                  <label for="password">Date de fin assurance</label><br/>
                    <input type="date" class="datepicker" name="datefinassurance" #name="ngModel" [(ngModel)]="voiture.datefinassurance" required>
                </div>
                <div class="input-field col m6 s12">
                  <label for="nbrporte">Prix d'achat</label><br/>
                  <input type="text" name="prixachat" #name="ngModel" [(ngModel)]="voiture.prixachat" required>
                  
              </div>
              </div>
           
              
           
              
           
              
              
           
             
             
            
              <div class="row">
                <div class="input-field col s6">
                  <label for="dateachat" class="active">Date d'achat</label><br/>

                  <input type="date" name="dateachat" #name="ngModel" [(ngModel)]="voiture.dateachat" required>
                  
                </div>
                <div class="input-field col s6"><br/>
                  <input type="date" name="datemiseencerculation" #name="ngModel" [(ngModel)]="voiture.datemiseencerculation" required>
                  <label for="message">Date de 1ér mise en circulation</label>
                </div>
              </div>
              <input type="hidden" name="id" #name="ngModel" [(ngModel)]="voiture.id" >

              
              </div>
           
         




    </div>
    <div class="modal-footer">
      <button type="submit" class="btn cyan waves-effect waves-light right">Valider</button>
    </div>
  </form>
  </div>
  <!-- Modal Structure -->
  <!-- Modal Structure -->
 
  <!-- Modal Structure -->
 
  <div id="modal3" class="modal modal-fixed-footer" style="width: 50%; height: 70%;">
    <form #fm="ngForm" (ngSubmit)="savemaintenance(fm.value)" >
      <div class="modal-content">
        <h4>Maintenances</h4>
        <br>
      <div class="row">
        <div class="input-field col m12 s12">
          <label for="nbrporte" class="active">Garage </label>
          <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="maintenance.carage" required>
           <option *ngFor="let g of garages" [value]="g.id">
             {{g.nom}}
            </option>
       </select>
  
    </div>
      </div>
        <div class="row">
          <div class="input-field col s6">
            <input id="name2" class="validate" type="date" name="datedebut" #datedebut="ngModel" [(ngModel)]="maintenance.datedebut" required>
            <small  class="errorTxt1" *ngIf="datedebut.touched  &&  datedebut.invalid" ><div id="uname-error" class="error">saisir votre date de debut</div></small>
  
            <label for="name2">Date début*</label>
  
          </div>
          <div class="input-field col s3">
          <select class="browser-default" name="Heuredebut" #name="ngModel" [(ngModel)]="maintenance.Heuredebut" required>
            <option value="" disabled selected>Heures</option>
             <option value="01">01</option>
             <option value="02">02</option>
             <option value="03">03</option>
             <option value="04">04</option>
             <option value="05">05</option>
             <option value="06">06</option>
             <option value="07">07</option>
             <option value="08">08</option>
             <option value="09">09</option>
             <option value="10">10</option>
             <option value="11">11</option>
             <option value="12">12</option>
             <option value="13">13</option>
             <option value="14">14</option>
             <option value="15">15</option>
             <option value="16">16</option>
             <option value="17"> 17</option>
             <option value="18">18</option>
             <option value="19">19</option>
             <option value="20">20</option>
             <option value="21">21</option>
             <option value="22">22</option>
             <option value="23">23</option>
          </select>
  </div>
  <div class="input-field col s3">
    <select class="browser-default" name="minutedebut" #name="ngModel" [(ngModel)]="maintenance.minutedebut" required>
        <option value="" disabled selected>Minutes</option>
        <option value="00">00</option>
        <option value="10">10</option>
        <option value="20">20</option>
        <option value="30">30</option>
        <option value="40">40</option>
        <option value="50">50</option>
      </select>
  </div>
  
        </div>
        <div class="row">
          <div class="input-field col s6">
            <input  id="name2" class="validate" type="date" name="dateretour" #dateretour="ngModel" [(ngModel)]="maintenance.dateretour" required>
            <small  class="errorTxt1" *ngIf="dateretour.touched  &&  dateretour.invalid" ><div id="uname-error" class="error">saisir votre date de retour</div></small>
  
            <label for="name2">Date de retour*</label>
  
          </div>
          <div class="input-field col s3">
            <select class="browser-default" name="heureretour" #name="ngModel" [(ngModel)]="maintenance.heureretour" required>
              <option value="" disabled selected>Heures</option>
              <option value="01">01</option>
              <option value="02">02</option>
              <option value="03">03</option>
              <option value="04">04</option>
              <option value="05">05</option>
              <option value="06">06</option>
              <option value="07">07</option>
              <option value="08">08</option>
              <option value="09">09</option>
              <option value="10">10</option>
              <option value="11">11</option>
              <option value="12">12</option>
              <option value="13">13</option>
              <option value="14">14</option>
              <option value="15">15</option>
              <option value="16">16</option>
              <option value="17"> 17</option>
              <option value="18">18</option>
              <option value="19">19</option>
              <option value="20">20</option>
              <option value="21">21</option>
              <option value="22">22</option>
              <option value="23">23</option>
            </select>
    </div>
    <div class="input-field col s3">
      <select class="browser-default" name="minuteretour" #name="ngModel" [(ngModel)]="maintenance.minuteretour" required>
        <option value="" disabled selected>Minutes</option>
        <option value="00">00</option>
        <option value="10">10</option>
        <option value="20">20</option>
        <option value="30">30</option>
        <option value="40">40</option>
        <option value="50">50</option>
        </select>
    </div>
    
        </div>
          <div class="input-field col s6">
            <input  id="name2" class="validate" type="text" name="prix" #prix="ngModel" [(ngModel)]="maintenance.prix" required>
            <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>
  
            <label for="name2">Prix*</label>
          </div>
  
          <div class="input-field col s6">
            <input  id="name2" type="text" class="validate" name="description" #description="ngModel" [(ngModel)]="maintenance.description" required>
            <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>
  
            <label for="name2">Description</label>
          </div>
         
         
         </div>
      
      <div class="modal-footer">
         <button [disabled]="fm.invalid"  type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
    </form>
  </div>
      <!-- Modal Structure -->
      <div id="modal4" class="modal modal-fixed-footer" style="width: 40%; height: 60%;">
        <form #fk="ngForm" (ngSubmit)="savekilometrage(fk.value)" >
      <div class="modal-content">
        <h4>Kilométrages</h4>
        <br>
        <div class="row">
         
       
         <div class="input-field col s6">
          <input   type="text"   name="kilometrage" #kilometraget="ngModel" [(ngModel)]="kilometrage.kilometrage" required>
          <label for="name2">Kilométrage</label>
          <small  class="errorTxt1" *ngIf="kilometraget.touched  &&  kilometraget.invalid" ><div id="uname-error" class="error">saisir votre kilometrage</div></small>

          
        </div>
      
          <div class="input-field col s6">
            <input   class="validate" type="date" name="date" #datet="ngModel" [(ngModel)]="kilometrage.date" required>
            <label for="name2">Date</label>
            <small  class="errorTxt1" *ngIf="datet.touched  &&  datet.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

          </div>
         
         </div>
      </div>
      <div class="modal-footer">
         <button [disabled]="fk.invalid" type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
      </form>
      
</div>
  <!-- Modal Structure -->
  <!-- Modal Structure -->
  <div id="modal5" class="modal modal-fixed-footer" style="width: 40%; height: 55%;">
    <form #fc="ngForm" (ngSubmit)="savecarburant(fc.value)">
  <div class="modal-content">
    <h4>carburant</h4>
    <br>
    
   <div class="input-field col s12">
     <input class="validate" id="name2" type="Date" name="date" #date="ngModel" [(ngModel)]="carburant.date" required>
     <label for="name2">Date</label>
     <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>
  
   </div>
    <div class="input-field col m12 s12">
     <label for="name2">Niveau de carburant</label> <br>
     <p class="range-field">
       <input type="range" id="test5" min="0" max="100" step="25"  name="carburant" #name="ngModel" [(ngModel)]="carburant.carburant" required/>
     </p>
   </div>
            
  
  </div>
  
  <div class="modal-footer">
     <button [disabled]="fc.invalid" type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
  </div>
  </form>
  </div>
  <!-- Modal Structure -->
  <!-- Modal Structure -->
  <div id="modal6" class="modal" >
    <form #fd="ngForm" (ngSubmit)="savediagnostique(fd.value)">
   <div class="modal-content" >
    <h5>Ajouter un Diagnostique</h5>
    <br>
  
   
   
    <div class="row">
      <div class="input-field col m6 s12">
        <label for="nbrporte" class="active">Garage </label>
        <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="diagnostique.carage" required>
         <option *ngFor="let g of garages" [value]="g.id">
           {{g.nom}}
          </option>
     </select>

  </div>
     <div class="input-field col m6 s12">
       <input type="text" class="validate" name="prix" #prix="ngModel" [(ngModel)]="diagnostique.prix" required>
         <label for="nbrporte">Prix* </label>
         <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>
   
     </div>
   </div>
   
   <div class="row">
     <div class="input-field col s12">
         <input type="date" class="validate" name="date" #date="ngModel" [(ngModel)]="diagnostique.date" required>
         <label for="nbrporte">Date* </label>
         <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>
   
     </div>
     <div class="input-field col  s12">
       <textarea id="textarea1"  class="materialize-textarea validate" name="description" #description="ngModel" [(ngModel)]="diagnostique.description" required>
   
       </textarea>
       <label for="textarea1">Description*</label>
       <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>
   
   </div>
     
   </div>
   
   
   </div>
   <div class="input-field col m12 s12">
   <div class="modal-footer">
     <button [disabled]="fd.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Valider
        <i class="material-icons right">send</i>
      </button>
   </div>
   </div>
   </form>
   </div>
  <!-- Modal Structure -->
   <!-- Modal Structure -->
   <div id="modal7" class="modal" style="width: 40%;">
   
    <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
      <h5>Ajouter Traqueurs
      </h5>
      <form  #ft="ngForm" (ngSubmit)="savetraqueur(ft.value)">
      <div class="row">
     
       <div class="input-field col m6 s12">
           <input type="text" class="validate" name="identifiant" #identifiant="ngModel" [(ngModel)]="traqueur.identifiant" required> 
           <label for="nbrpersonne">Identifiant*</label>
           <small  class="errorTxt1" *ngIf="identifiant.touched  &&  identifiant.invalid" ><div id="uname-error" class="error">saisir votre identifiant</div></small>
  
       </div>
                <div class="input-field col m6 s12">
                  <input type="text" class="validate" name="fournisseur" #fournisseur="ngModel" [(ngModel)]="traqueur.fournisseur" required>
                  <label for="nbrporte">Fournisseur*</label>
                  <small  class="errorTxt1" *ngIf="fournisseur.touched  &&  fournisseur.invalid" ><div id="uname-error" class="error">saisir votre fournisseur</div></small>
  
              </div>
     </div>
     
    
  
      <div class="modal-footer">
          <button [disabled]="ft.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
             <i class="material-icons right">send</i>
           </button>
       </div>
      </form>
  </div>
  </div>
   <!-- Modal Structure -->
  

   <div id="modal8" class="modal" >
    <form #fv="ngForm" (ngSubmit)="savevistetechnique(fv.value)">
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Ajouter viste technique
    </h5>
    <br>
    
    <div class="row">
 
      <div class="input-field col m12 s12">
        <label for="nbrporte" class="active">Garage </label>
        <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="vistetechnique.carage" required>
         <option *ngFor="let g of garages" [value]="g.id">
           {{g.nom}}
          </option>
     </select>

  </div>
   </div>
   <div class="row">
    <div class="input-field col m6 s6">
        <input type="text" class="validate" name="prix" #prix="ngModel" [(ngModel)]="vistetechnique.prix" required>
        <label for="nbrporte">Prix*</label>
        <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

    </div>
    <div class="input-field col m6 s6">
        <input type="text" class="validate" name="kilometragev" #kilometragev="ngModel" [(ngModel)]="vistetechnique.kilometrage" required>
        <label for="nbrporte">Kilometrage*</label>
        <small  class="errorTxt1" *ngIf="kilometragev.touched  &&  kilometragev.invalid" ><div id="uname-error" class="error">saisir votre kilometrage</div></small>

    </div>
    <div class="input-field col m6 s6">
      <input type="date" class="validate" name="datev" #datev="ngModel" [(ngModel)]="vistetechnique.date" required >
      <label for="nbrporte">Date*</label>
      <small  class="errorTxt1" *ngIf="datev.touched  &&  datev.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

  </div>
  <div class="input-field col m6 s6">
      <input type="text" class="validate" name="description" #description="ngModel" [(ngModel)]="vistetechnique.description" required>
      <label for="nbrporte">Description</label>
      <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>

  </div>
   </div>
  

    <div class="modal-footer">
        <button [disabled]="fv.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>

</div>
</form>
</div>

  

